libapache2-mod-auth-openid_0.8-1_amd64.deb


Advertisement

Description

libapache2-mod-auth-openid - OpenID authentication module for Apache2

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libapache2-mod-auth-openid
Package version: 0.8
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 182 B
Download size: 61.34 KB
Official Mirror: ftp.br.debian.org
mod_auth_openid is an authentication module for Apache2. It handles the functions of an OpenID consumer as specified in the OpenID 2.0 specification.

Alternatives

    Download

    Source package: libapache2-mod-auth-openid

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libapache2-mod-auth-openid deb package:
      # sudo apt-get install libapache2-mod-auth-openid

    Files

    • /etc/apache2/mods-available/auth_openid.load
    • /usr/lib/apache2/modules/mod_auth_openid.so
    • /usr/share/doc/libapache2-mod-auth-openid/NEWS.gz
    • /usr/share/doc/libapache2-mod-auth-openid/README
    • /usr/share/doc/libapache2-mod-auth-openid/README.Debian
    • /usr/share/doc/libapache2-mod-auth-openid/changelog.Debian.gz
    • /usr/share/doc/libapache2-mod-auth-openid/changelog.gz
    • /usr/share/doc/libapache2-mod-auth-openid/copyright

    Changelog

    2014-06-27 - NIIBE Yutaka <gniibe@fsij.org> libapache2-mod-auth-openid (0.8-1) unstable; urgency=low * Fix FTBFS with GCC-4.9. Thanks to Matthias Klose (Closes: #746869). * New upstream release. * debian/control (Standards-Version): Confirms to 3.9.5. * debian/patches/series: Only use 01-destdir-0.5.diff. * debian/watch: Updated.

    2013-07-09 - NIIBE Yutaka <gniibe@fsij.org> libapache2-mod-auth-openid (0.7-1) unstable; urgency=low * debian/rules (override_dh_auto_clean, override_dh_auto_configure): New for config.{sub,guess}. * debian/compat: Require 9. * debian/control (Build-Depends): Require debhelper >=9, apache2-dev, and apache2-bin. (Standards-Version): Confirms to 3.9.4. * debian/patches/01-destdir-0.5.diff: Rename * debian/patches/02-apache2.4_log-0.7.diff: New (Closes: #666860). * debian/patches/03-apache2.4_auth-0.7.diff: New. * debian/patches/04-module_name-0.7.diff: New. * debian/patches/{05-empty_string-0.7.diff, 06-permit_cookieless-0.7.diff}: New. Thanks to Daniel Kahn Gillmor. * debian/auth_openid.load: Fix module name. * debian/README.Debian: Follow the fix of module name (Closes: #697858). * Incorporate NMUs.

    2012-05-31 - Clint Adams <clint@debian.org> libapache2-mod-auth-openid (0.7-0.1) unstable; urgency=low * NMU * New upstream version. closes: #644527. - Fixes CVE-2012-2760: Information disclosure; closes: #674165. - Fixes breakage on https; closes: #634801. - Update DESTDIR patch. * Bump to Standards-Version 3.9.3. * Fix watch file. * Update Homepage. closes: #603916. * Convert README.Debian from EUC-JP to UTF-8. closes: #619768.

    2012-03-02 - gregor herrmann <gregoa@debian.org> libapache2-mod-auth-openid (0.5-1.1) unstable; urgency=low * Non-maintainer upload. * Fix "FTBFS: dpkg-buildpackage: error: dpkg-source -b libapache2-mod- auth-openid-0.5 gave error exit status 2": drop autogenerated patch debian-changes-0.5-1, and add the created file to debian/clean. (Closes: #643180) * Fix "The file authopenid.load missing": install via debian/install instead of the wrong construct in debian/rules. (Closes: #614416)

    2010-02-25 - NIIBE Yutaka <gniibe@fsij.org> libapache2-mod-auth-openid (0.5-1) unstable; urgency=low * New upstream release (Closes: #556907). * debian/{rules,source,patches,README.source}: Use 3.0 (quilt) format. * debian/control (Section): Now, it's httpd (was: web). (Build-Depends): Remove libstdc++6-4.3-dev, adding quilt and autotools-dev. Change to automake (was: automake1.10).

    2008-07-08 - NIIBE Yutaka <gniibe@fsij.org> libapache2-mod-auth-openid (0.3-2) unstable; urgency=low * debian/control (Build-Depends): Require libstdc++6-4.3-dev and newer version of libopkele-dev. Added pkg-config. (Description): It supports OpenID 2.0 specification, now. Thanks to Brian Muller for notification.

    2008-07-07 - NIIBE Yutaka <gniibe@fsij.org> libapache2-mod-auth-openid (0.3-1) unstable; urgency=low * New upstream release. * Rebuild with newer libcurl fix -Wl,-z,defs problem of #488701 (Closes: #489082). * debian/control (Standards-Version): Conform to 3.8.0 (was: 3.7.3). (Homepage): Update URL (was: http://www.butterfat.net/wiki/Projects/ModAuthOpenID). (Build-Depends): Remove libdb4.6++-dev and libpcre++-dev. Specify libopkele-dev version. * debian/docs: Updated.

    2008-04-12 - NIIBE Yutaka <gniibe@fsij.org> libapache2-mod-auth-openid (0.2-2) unstable; urgency=low * Regenerate configure which was wrongly generated without APXS. (I had forgotten '-I acinclude.d' arguments when I invoked aclocal.) Thanks to Niko Tyni (Closes: #475566).

    2008-04-06 - NIIBE Yutaka <gniibe@fsij.org> libapache2-mod-auth-openid (0.2-1) unstable; urgency=low * New upstream release.

    Advertisement
    Advertisement